Index: FCKeditor.Net/trunk/AssemblyInfo.cs
===================================================================
--- FCKeditor.Net/trunk/AssemblyInfo.cs	(revision 5853)
+++ FCKeditor.Net/trunk/AssemblyInfo.cs	(revision 7435)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
@@ -40,5 +40,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("FCKeditor.FCKeditorV2")]
-[assembly: AssemblyCopyright("2003-2010, CKSource - Frederico Knabben")]
+[assembly: AssemblyCopyright("2003-2012, CKSource - Frederico Knabben")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -55,5 +55,5 @@
 // by using the '*' as shown below:
 
-[assembly: AssemblyVersion("2.6.4.*")]
+[assembly: AssemblyVersion("2.6.7.*")]
 
 //
Index: FCKeditor.Net/trunk/FCKeditor.cs
===================================================================
--- FCKeditor.Net/trunk/FCKeditor.cs	(revision 5853)
+++ FCKeditor.Net/trunk/FCKeditor.cs	(revision 7435)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/FCKeditorConfigurations.cs
===================================================================
--- FCKeditor.Net/trunk/FCKeditorConfigurations.cs	(revision 5853)
+++ FCKeditor.Net/trunk/FCKeditorConfigurations.cs	(revision 7435)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/FCKeditorDesigner.cs
===================================================================
--- FCKeditor.Net/trunk/FCKeditorDesigner.cs	(revision 5853)
+++ FCKeditor.Net/trunk/FCKeditorDesigner.cs	(revision 7435)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/FileBrowser/Config.cs
===================================================================
--- FCKeditor.Net/trunk/FileBrowser/Config.cs	(revision 5853)
+++ FCKeditor.Net/trunk/FileBrowser/Config.cs	(revision 7435)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/FileBrowser/Connector.cs
===================================================================
--- FCKeditor.Net/trunk/FileBrowser/Connector.cs	(revision 5853)
+++ FCKeditor.Net/trunk/FileBrowser/Connector.cs	(revision 7435)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
@@ -67,5 +67,5 @@
 				sCurrentFolder = "/" + sCurrentFolder ;
 
-			if ( Regex.IsMatch( sCurrentFolder, @"(/\.)|(\.\.)|(//)|([\\:\*\?""\<\>\|\p{C}])" ) )
+			if ( Regex.IsMatch( sCurrentFolder, @"(/\.)|(\.\.)|(//)|([\\:\;\.\*\?""\<\>\|\p{C}])" ) )
 			{
 				XmlResponseHandler.SendError( Response, 102, "" );
Index: FCKeditor.Net/trunk/FileBrowser/FileWorkerBase.cs
===================================================================
--- FCKeditor.Net/trunk/FileBrowser/FileWorkerBase.cs	(revision 5853)
+++ FCKeditor.Net/trunk/FileBrowser/FileWorkerBase.cs	(revision 7435)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
@@ -148,5 +148,5 @@
 		{
 			// Remove . \ / | : ? * " < >
-			return Regex.Replace( folderName, @"[.\\/|:?*""<>\p{C}]", "_", RegexOptions.None );
+			return Regex.Replace( folderName, @"[.;\\/|:?*""<>\p{C}]", "_", RegexOptions.None );
 		}
 
@@ -159,5 +159,5 @@
 
 			// Remove \ / | : ? * " < >
-			return Regex.Replace( fileName, @"[\\/|:?*""<>\p{C}]", "_", RegexOptions.None );
+			return Regex.Replace( fileName, @"[\\/|;:?*""<>\p{C}]", "_", RegexOptions.None );
 		}
 
Index: FCKeditor.Net/trunk/FileBrowser/TypeConfig.cs
===================================================================
--- FCKeditor.Net/trunk/FileBrowser/TypeConfig.cs	(revision 5853)
+++ FCKeditor.Net/trunk/FileBrowser/TypeConfig.cs	(revision 7435)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/FileBrowser/TypeConfigList.cs
===================================================================
--- FCKeditor.Net/trunk/FileBrowser/TypeConfigList.cs	(revision 5853)
+++ FCKeditor.Net/trunk/FileBrowser/TypeConfigList.cs	(revision 7435)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/FileBrowser/Uploader.cs
===================================================================
--- FCKeditor.Net/trunk/FileBrowser/Uploader.cs	(revision 5853)
+++ FCKeditor.Net/trunk/FileBrowser/Uploader.cs	(revision 7435)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/FileBrowser/XmlResponseHandler.cs
===================================================================
--- FCKeditor.Net/trunk/FileBrowser/XmlResponseHandler.cs	(revision 5853)
+++ FCKeditor.Net/trunk/FileBrowser/XmlResponseHandler.cs	(revision 7435)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/Util.cs
===================================================================
--- FCKeditor.Net/trunk/Util.cs	(revision 5853)
+++ FCKeditor.Net/trunk/Util.cs	(revision 7435)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/XmlUtil.cs
===================================================================
--- FCKeditor.Net/trunk/XmlUtil.cs	(revision 5853)
+++ FCKeditor.Net/trunk/XmlUtil.cs	(revision 7435)
@@ -1,5 +1,5 @@
 /*
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/_documentation.html
===================================================================
--- FCKeditor.Net/trunk/_documentation.html	(revision 5853)
+++ FCKeditor.Net/trunk/_documentation.html	(revision 7435)
@@ -2,5 +2,5 @@
 <!--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
Index: FCKeditor.Net/trunk/_whatsnew.html
===================================================================
--- FCKeditor.Net/trunk/_whatsnew.html	(revision 5853)
+++ FCKeditor.Net/trunk/_whatsnew.html	(revision 7435)
@@ -2,5 +2,5 @@
 <!--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  *
  * == BEGIN LICENSE ==
@@ -33,6 +33,11 @@
 	<h1>
 		FCKeditor.Net ChangeLog - What's New?</h1>
-	<h3>
-		SVN</h3>
+		<h3>
+		Version 2.6.7</h3>
+	<p>
+		Fixed Bugs:</p>
+	<ul>
+		<li><strong>Security release, upgrade is highly recommended</strong>.</li>
+	</ul>
 		<h3>
 		Version 2.6.4</h3>
Index: FCKeditor.Net/trunk/license.txt
===================================================================
--- FCKeditor.Net/trunk/license.txt	(revision 5853)
+++ FCKeditor.Net/trunk/license.txt	(revision 7435)
@@ -1,4 +1,4 @@
 FCKeditor - The text editor for Internet - http://www.fckeditor.net
-Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
 
 Licensed under the terms of any of the following licenses at your