Index: CKEditor/trunk/_source/plugins/specialchar/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/plugins/specialchar/lang/_translationstatus.txt	(revision 7430)
+++ CKEditor/trunk/_source/plugins/specialchar/lang/_translationstatus.txt	(revision 7440)
@@ -12,5 +12,7 @@
 hr.js      Found: 23 Missing: 95
 it.js      Found: 118 Missing: 0
+nb.js      Found: 118 Missing: 0
 nl.js      Found: 118 Missing: 0
+no.js      Found: 118 Missing: 0
 tr.js      Found: 118 Missing: 0
 ug.js      Found: 39 Missing: 79
Index: CKEditor/trunk/_source/plugins/specialchar/lang/nb.js
===================================================================
--- CKEditor/trunk/_source/plugins/specialchar/lang/nb.js	(revision 7440)
+++ CKEditor/trunk/_source/plugins/specialchar/lang/nb.js	(revision 7440)
@@ -0,0 +1,126 @@
+﻿/*
+Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
+
+CKEDITOR.plugins.setLang( 'specialchar', 'nb',
+{
+	euro: 'Eurosymbol',
+	lsquo: 'Venstre enkelt anførselstegn',
+	rsquo: 'Høyre enkelt anførselstegn',
+	ldquo: 'Venstre dobbelt anførselstegn',
+	rdquo: 'Høyre anførsesltegn',
+	ndash: 'Kort tankestrek',
+	mdash: 'Lang tankestrek',
+	iexcl: 'Omvendt utropstegn',
+	cent: 'Centsymbol',
+	pound: 'Pundsymbol',
+	curren: 'Valutategn',
+	yen: 'Yensymbol',
+	brvbar: 'Brutt loddrett strek',
+	sect: 'Paragraftegn',
+	uml: 'Tøddel',
+	copy: 'Copyrighttegn',
+	ordf: 'Feminin ordensindikator',
+	laquo: 'Venstre anførselstegn',
+	not: 'Negasjonstegn',
+	reg: 'Registrert varemerke-tegn',
+	macr: 'Makron',
+	deg: 'Gradsymbol',
+	sup2: 'Hevet totall',
+	sup3: 'Hevet tretall',
+	acute: 'Akutt aksent',
+	micro: 'Mikrosymbol',
+	para: 'Avsnittstegn',
+	middot: 'Midtstilt prikk',
+	cedil: 'Cedille',
+	sup1: 'Hevet ettall',
+	ordm: 'Maskulin ordensindikator',
+	raquo: 'Høyre anførselstegn',
+	frac14: 'Fjerdedelsbrøk',
+	frac12: 'Halvbrøk',
+	frac34: 'Tre fjerdedelers brøk',
+	iquest: 'Omvendt spørsmålstegn',
+	Agrave: 'Stor A med grav aksent',
+	Aacute: 'Stor A med akutt aksent',
+	Acirc: 'Stor A med cirkumfleks',
+	Atilde: 'Stor A med tilde',
+	Auml: 'Stor A med tøddel',
+	Aring: 'Stor Å',
+	AElig: 'Stor Æ',
+	Ccedil: 'Stor C med cedille',
+	Egrave: 'Stor E med grav aksent',
+	Eacute: 'Stor E med akutt aksent',
+	Ecirc: 'Stor E med cirkumfleks',
+	Euml: 'Stor E med tøddel',
+	Igrave: 'Stor I med grav aksent',
+	Iacute: 'Stor I med akutt aksent',
+	Icirc: 'Stor I med cirkumfleks',
+	Iuml: 'Stor I med tøddel',
+	ETH: 'Stor Edd/stungen D',
+	Ntilde: 'Stor N med tilde',
+	Ograve: 'Stor O med grav aksent',
+	Oacute: 'Stor O med akutt aksent',
+	Ocirc: 'Stor O med cirkumfleks',
+	Otilde: 'Stor O med tilde',
+	Ouml: 'Stor O med tøddel',
+	times: 'Multiplikasjonstegn',
+	Oslash: 'Stor Ø',
+	Ugrave: 'Stor U med grav aksent',
+	Uacute: 'Stor U med akutt aksent',
+	Ucirc: 'Stor U med cirkumfleks',
+	Uuml: 'Stor U med tøddel',
+	Yacute: 'Stor Y med akutt aksent',
+	THORN: 'Stor Thorn',
+	szlig: 'Liten dobbelt-s/Eszett',
+	agrave: 'Liten a med grav aksent',
+	aacute: 'Liten a med akutt aksent',
+	acirc: 'Liten a med cirkumfleks',
+	atilde: 'Liten a med tilde',
+	auml: 'Liten a med tøddel',
+	aring: 'Liten å',
+	aelig: 'Liten æ',
+	ccedil: 'Liten c med cedille',
+	egrave: 'Liten e med grav aksent',
+	eacute: 'Liten e med akutt aksent',
+	ecirc: 'Liten e med cirkumfleks',
+	euml: 'Liten e med tøddel',
+	igrave: 'Liten i med grav aksent',
+	iacute: 'Liten i med akutt aksent',
+	icirc: 'Liten i med cirkumfleks',
+	iuml: 'Liten i med tøddel',
+	eth: 'Liten edd/stungen d',
+	ntilde: 'Liten n med tilde',
+	ograve: 'Liten o med grav aksent',
+	oacute: 'Liten o med akutt aksent',
+	ocirc: 'Liten o med cirkumfleks',
+	otilde: 'Liten o med tilde',
+	ouml: 'Liten o med tøddel',
+	divide: 'Divisjonstegn',
+	oslash: 'Liten ø',
+	ugrave: 'Liten u med grav aksent',
+	uacute: 'Liten u med akutt aksent',
+	ucirc: 'Liten u med cirkumfleks',
+	uuml: 'Liten u med tøddel',
+	yacute: 'Liten y med akutt aksent',
+	thorn: 'Liten thorn',
+	yuml: 'Liten y med tøddel',
+	OElig: 'Stor ligatur av O og E',
+	oelig: 'Liten ligatur av o og e',
+	'372': 'Stor W med cirkumfleks',
+	'374': 'Stor Y med cirkumfleks',
+	'373': 'Liten w med cirkumfleks',
+	'375': 'Liten y med cirkumfleks',
+	sbquo: 'Enkelt lavt 9-anførselstegn',
+	'8219': 'Enkelt høyt reversert 9-anførselstegn',
+	bdquo: 'Dobbelt lavt 9-anførselstegn',
+	hellip: 'Ellipse',
+	trade: 'Varemerkesymbol',
+	'9658': 'Svart høyrevendt peker',
+	bull: 'Tykk interpunkt',
+	rarr: 'Høyrevendt pil',
+	rArr: 'Dobbel høyrevendt pil',
+	hArr: 'Dobbel venstrevendt pil',
+	diams: 'Svart ruter',
+	asymp: 'Omtrent likhetstegn'
+});
Index: CKEditor/trunk/_source/plugins/specialchar/lang/no.js
===================================================================
--- CKEditor/trunk/_source/plugins/specialchar/lang/no.js	(revision 7440)
+++ CKEditor/trunk/_source/plugins/specialchar/lang/no.js	(revision 7440)
@@ -0,0 +1,126 @@
+﻿/*
+Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
+
+CKEDITOR.plugins.setLang( 'specialchar', 'no',
+{
+	euro: 'Eurosymbol',
+	lsquo: 'Venstre enkelt anførselstegn',
+	rsquo: 'Høyre enkelt anførselstegn',
+	ldquo: 'Venstre dobbelt anførselstegn',
+	rdquo: 'Høyre anførsesltegn',
+	ndash: 'Kort tankestrek',
+	mdash: 'Lang tankestrek',
+	iexcl: 'Omvendt utropstegn',
+	cent: 'Centsymbol',
+	pound: 'Pundsymbol',
+	curren: 'Valutategn',
+	yen: 'Yensymbol',
+	brvbar: 'Brutt loddrett strek',
+	sect: 'Paragraftegn',
+	uml: 'Tøddel',
+	copy: 'Copyrighttegn',
+	ordf: 'Feminin ordensindikator',
+	laquo: 'Venstre anførselstegn',
+	not: 'Negasjonstegn',
+	reg: 'Registrert varemerke-tegn',
+	macr: 'Makron',
+	deg: 'Gradsymbol',
+	sup2: 'Hevet totall',
+	sup3: 'Hevet tretall',
+	acute: 'Akutt aksent',
+	micro: 'Mikrosymbol',
+	para: 'Avsnittstegn',
+	middot: 'Midtstilt prikk',
+	cedil: 'Cedille',
+	sup1: 'Hevet ettall',
+	ordm: 'Maskulin ordensindikator',
+	raquo: 'Høyre anførselstegn',
+	frac14: 'Fjerdedelsbrøk',
+	frac12: 'Halvbrøk',
+	frac34: 'Tre fjerdedelers brøk',
+	iquest: 'Omvendt spørsmålstegn',
+	Agrave: 'Stor A med grav aksent',
+	Aacute: 'Stor A med akutt aksent',
+	Acirc: 'Stor A med cirkumfleks',
+	Atilde: 'Stor A med tilde',
+	Auml: 'Stor A med tøddel',
+	Aring: 'Stor Å',
+	AElig: 'Stor Æ',
+	Ccedil: 'Stor C med cedille',
+	Egrave: 'Stor E med grav aksent',
+	Eacute: 'Stor E med akutt aksent',
+	Ecirc: 'Stor E med cirkumfleks',
+	Euml: 'Stor E med tøddel',
+	Igrave: 'Stor I med grav aksent',
+	Iacute: 'Stor I med akutt aksent',
+	Icirc: 'Stor I med cirkumfleks',
+	Iuml: 'Stor I med tøddel',
+	ETH: 'Stor Edd/stungen D',
+	Ntilde: 'Stor N med tilde',
+	Ograve: 'Stor O med grav aksent',
+	Oacute: 'Stor O med akutt aksent',
+	Ocirc: 'Stor O med cirkumfleks',
+	Otilde: 'Stor O med tilde',
+	Ouml: 'Stor O med tøddel',
+	times: 'Multiplikasjonstegn',
+	Oslash: 'Stor Ø',
+	Ugrave: 'Stor U med grav aksent',
+	Uacute: 'Stor U med akutt aksent',
+	Ucirc: 'Stor U med cirkumfleks',
+	Uuml: 'Stor U med tøddel',
+	Yacute: 'Stor Y med akutt aksent',
+	THORN: 'Stor Thorn',
+	szlig: 'Liten dobbelt-s/Eszett',
+	agrave: 'Liten a med grav aksent',
+	aacute: 'Liten a med akutt aksent',
+	acirc: 'Liten a med cirkumfleks',
+	atilde: 'Liten a med tilde',
+	auml: 'Liten a med tøddel',
+	aring: 'Liten å',
+	aelig: 'Liten æ',
+	ccedil: 'Liten c med cedille',
+	egrave: 'Liten e med grav aksent',
+	eacute: 'Liten e med akutt aksent',
+	ecirc: 'Liten e med cirkumfleks',
+	euml: 'Liten e med tøddel',
+	igrave: 'Liten i med grav aksent',
+	iacute: 'Liten i med akutt aksent',
+	icirc: 'Liten i med cirkumfleks',
+	iuml: 'Liten i med tøddel',
+	eth: 'Liten edd/stungen d',
+	ntilde: 'Liten n med tilde',
+	ograve: 'Liten o med grav aksent',
+	oacute: 'Liten o med akutt aksent',
+	ocirc: 'Liten o med cirkumfleks',
+	otilde: 'Liten o med tilde',
+	ouml: 'Liten o med tøddel',
+	divide: 'Divisjonstegn',
+	oslash: 'Liten ø',
+	ugrave: 'Liten u med grav aksent',
+	uacute: 'Liten u med akutt aksent',
+	ucirc: 'Liten u med cirkumfleks',
+	uuml: 'Liten u med tøddel',
+	yacute: 'Liten y med akutt aksent',
+	thorn: 'Liten thorn',
+	yuml: 'Liten y med tøddel',
+	OElig: 'Stor ligatur av O og E',
+	oelig: 'Liten ligatur av o og e',
+	'372': 'Stor W med cirkumfleks',
+	'374': 'Stor Y med cirkumfleks',
+	'373': 'Liten w med cirkumfleks',
+	'375': 'Liten y med cirkumfleks',
+	sbquo: 'Enkelt lavt 9-anførselstegn',
+	'8219': 'Enkelt høyt reversert 9-anførselstegn',
+	bdquo: 'Dobbelt lavt 9-anførselstegn',
+	hellip: 'Ellipse',
+	trade: 'Varemerkesymbol',
+	'9658': 'Svart høyrevendt peker',
+	bull: 'Tykk interpunkt',
+	rarr: 'Høyrevendt pil',
+	rArr: 'Dobbel høyrevendt pil',
+	hArr: 'Dobbel venstrevendt pil',
+	diams: 'Svart ruter',
+	asymp: 'Omtrent likhetstegn'
+});