Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 7449)
+++ CKEditor/trunk/CHANGES.html	(revision 7450)
@@ -40,51 +40,57 @@
 			New features:</p>
 	<ul>
-		<li><a href="http://dev.ckeditor.com/ticket/7430">#7430</a> : Justify commands now performs alignment on the element when image is selected.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8706">#8706</a> : Better ARIA accessibility for the color picker dialog.</li>
-	</ul>
-	<p>
-			Fixed issues:</p>
-	<ul>
-		<li><a href="http://dev.ckeditor.com/ticket/8634">#8634</a> : Command execution always returns true on IE browsers.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8333">#8333</a> : Allow to close the dialogs with Esc key even if there's no Cancel button.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7430">#7430</a> : Justify commands now perform alignment on the element when an image is selected.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8706">#8706</a> : Better ARIA accessibility for the color picker dialog window.</li>
+	</ul>
+	<p>
+			Fixed issues:</p>
+	<ul>
+		<li><a href="http://dev.ckeditor.com/ticket/8634">#8634</a> : [IE] Command execution always returns <code>true</code> in IE browsers.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8333">#8333</a> : Dialog windows can now be closed with the <em>Esc</em> key even if there is no Cancel button available.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/8644">#8644</a> : Missing variable declaration in the dialog plugin.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8699">#8699</a> : Now focus is moved to clicked button in all browsers and back to colorpicker dialog opener (button) after dialog is closed.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8132">#8132</a> : [IE9] Fix link line get broken when containing BRs.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8629">#8629</a> : Optimized float panel layout when there's no enough spaces in viewport.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7955">#7955</a> : [FF] Fix "Page Up"/"Page Down" in wysiwyg mode cause selection lost.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8698">#8698</a> : Fix "Esc" shortcut key to close color picker dialog.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8413">#8413</a> : Fix HTML comment nodes breaking content styling in table.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7932">#7932</a> : [IE] Fix click below content region scrolls page to top.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8630">#8630</a> : HTML events disabled when loading data.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8699">#8699</a> : Focus is now moved to the clicked button and back to color picker dialog window opener (button) in all browsers after the dialog window is closed.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8132">#8132</a> : [IE9] Link line gets broken when it contains a <code>br</code> tag.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8629">#8629</a> : Optimize float panel layout when there is not enough space in the viewport.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7955">#7955</a> : [FF] <em>Page Up</em> and <em>Page Down</em> in the WYSIWYG mode cause the selection to become lost.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8698">#8698</a> : <em>Esc</em> key does not close the color picker dialog window.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8413">#8413</a> : HTML comment nodes break content styling in tables.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7932">#7932</a> : [IE] Clicking below the content region scrolls the page to the top.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8630">#8630</a> : HTML events are now disabled when loading data.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/8433">#8433</a> : [IE9] Use W3C event model.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8691">#8691</a> : [IE] Fix paste invalid HTML crashes browser.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8345">#8345</a> : [IE] Selection is properly restored after close Link dialog.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6308">#6308</a> : Fix vertical-only resize should not impose fix width on editor chrome.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7360">#7360</a> : [Webkit] wysiwyg area in some conditions doesn't resize with the chrome.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/5527">#5527</a> : Don't encode "#" sent from the file browser.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8691">#8691</a> : [IE] Pasting invalid HTML crashes the browser.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8345">#8345</a> : [IE] Selection is not properly restored after closing the Link dialog window.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6308">#6308</a> : Vertical-only resize imposes fixed width on editor chrome.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7360">#7360</a> : [WebKit] WYSIWYG area sometimes does not resize with the chrome.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/5527">#5527</a> : Do not encode the <code>#</code> character sent from the file browser.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/8014">#8014</a> : Autogrow now stretches to fit the content when switching editor modes.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8249">#8249</a> : Fix inconsistent behavior when backspace key at the start of list item.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8617">#8617</a> : Fix selection disturbed after inline style is opened.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8527">#8527</a> : Insertion with cursor before empty anchor is error prune.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8632">#8632</a> : Fix cursor panic when backspace is used in list item.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8324">#8324</a> : [IE8] Fix undo generate error when control type element is selected.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7946">#7946</a> : Fix find dialog result doesn't scroll into view when editor is off the view port.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8249">#8249</a> : Inconsistent behavior with the <em>Backspace</em> key used at the start of a list item.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8617">#8617</a> : [WebKit] Selection becomes broken after an inline style is opened.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8527">#8527</a> : Insertion with cursor before an empty anchor is error-prone.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8632">#8632</a> : Cursor panic when the <em>Backspace</em> key is used in a list item.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8324">#8324</a> : [IE8] Undo generates an error when a control type element is selected.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7946">#7946</a> : Find and Replace dialog window result does not scroll into view when the editor is off the viewport.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/8157">#8157</a> : Fix editor leaves object element selection handler covers dialog.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8305">#8305</a> : Fix text direction lost when converting paragraph to list.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8379">#8379</a> : Fix cursor goes to start of document when undo inserting row/column.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6666">#6666</a> : Removed references to element.all.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8732">#8732</a> : Fixed issue when CKEDITOR.range::enlarge passes through comment nodes.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7492">#7492</a> : Enable in the Style system to use overrides with the same element (change classes instead of nesting).</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6111">#6111</a> : Splitting cells results in incorrect column spans.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8247">#8247</a> : [IE] Fix error when indent with page breaks inside of contents.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8540">#8540</a> : Fix malformed HTML list/table with text directly inside of it.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8774">#8774</a> : Fix entities plugin to allow it to be configured to only output XML entities.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8602">#8602</a> : Image src is now properly hidden when running data through the data processor.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8812">#8812</a> : Resolved issues on the IE native range translation with comments in the DOM.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/7907">#7907</a> : Fix decrease indent on RTL block in list item looses text direction.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8835">#8835</a> : Removing the right margin on IE&lt;8 to avoid mouse click confusion.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8400">#8400</a> : [IE] Fix script error when closing cellProperties dialog if table cell text is selected.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8248">#8248</a> : [IE8] Fix BACKSPACE/DEL keys when working at the start/end of list items.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/8855">#8855</a> : [Chrome] Fix popup window size in Chrome 18.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8305">#8305</a> : Text direction lost when converting a paragraph to a list.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8379">#8379</a> : The cursor moves to the start of the document when inserting a row or column is undone.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6666">#6666</a> : Removed references to <code>element.all</code>.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8732">#8732</a> : Issue when <code>CKEDITOR.range::enlarge</code> passes through comment nodes.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7492">#7492</a> : The Style system can now use overrides with the same element (change classes instead of nesting).</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6111">#6111</a> : Splitting table cells results in incorrect column spans.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8247">#8247</a> : [IE] Error when aligning a document with page breaks inside of contents.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8540">#8540</a> : Orphan texts inside a list or table are now properly fixed.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8774">#8774</a> : The Entities plugin can now be configured to only output XML entities.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8602">#8602</a> : Image source is now properly hidden when running data through the data processor.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8812">#8812</a> : [IE] Issues with the native range translation with comments in the DOM.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/7907">#7907</a> : Decreasing indentation of a RTL block in a list item loses text direction.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8835">#8835</a> : Right margin on IE&lt;8 removed to avoid mouse click confusion.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8400">#8400</a> : [IE] Script error when closing the Cell Properties dialog window if the table cell text is selected.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8248">#8248</a> : [IE8] Issues with <em>Backspace</em> and <em>Del</em> keys when used at the start or end of list items.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8855">#8855</a> : [Chrome] Issue with the popup window size in Chrome 18 makes it impossible to view the file browser window.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8407">#8407</a> : Unneeded <code>aria-posinset</code> and <code>aria-setsize</code> for a list block are now removed.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8701">#8701</a> : Highlight field in the color picker does not show the correct color when keyboard navigation is used.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8509">#8509</a> : Table height gets copied from the width value when the Advanced tab is hidden.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8432">#8432</a> : [IE8] <code>openDialog('image')</code> error.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8493">#8493</a> : [IE] It is impossible to add a link to the selected text.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/8528">#8528</a> : Redundant <code>imagePreviewBoxId</code> in the Image Properties dialog window is now removed.</li>
 	</ul>
 	<h3>