Index: CKEditor/trunk/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 7477)
+++ CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 7478)
@@ -12,5 +12,5 @@
 da.js      Found: 576 Missing: 0
 de.js      Found: 576 Missing: 0
-el.js      Found: 329 Missing: 247
+el.js      Found: 391 Missing: 185
 en-au.js   Found: 348 Missing: 228
 en-ca.js   Found: 345 Missing: 231
Index: CKEditor/trunk/_source/lang/el.js
===================================================================
--- CKEditor/trunk/_source/lang/el.js	(revision 7477)
+++ CKEditor/trunk/_source/lang/el.js	(revision 7478)
@@ -107,6 +107,6 @@
 		targetSelf		: 'Ίδια Περιοχή (_self)',
 		targetParent	: 'Γονεϊκό Παράθυρο (_parent)',
-		langDirLTR		: 'Left to Right (LTR)', // MISSING
-		langDirRTL		: 'Right to Left (RTL)', // MISSING
+		langDirLTR		: 'Αριστερά προς Δεξιά (LTR)',
+		langDirRTL		: 'Δεξιά προς Αριστερά (RTL)',
 		styles			: 'Μορφή',
 		cssClasses		: 'Stylesheet Classes', // MISSING
@@ -120,6 +120,6 @@
 		alignMiddle		: 'Μέση',
 		alignBottom		: 'Κάτω',
-		invalidHeight	: 'Height must be a number.', // MISSING
-		invalidWidth	: 'Width must be a number.', // MISSING
+		invalidHeight	: 'Το ύψος πρέπει να είναι ένας αριθμός.',
+		invalidWidth	: 'Το πλάτος πρέπει να είναι ένας αριθμός.',
 		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
@@ -133,5 +133,5 @@
 	contextmenu :
 	{
-		options : 'Context Menu Options' // MISSING
+		options : 'Επιλογές Αναδυόμενου Μενού'
 	},
 
@@ -141,5 +141,5 @@
 		toolbar		: 'Εισαγωγή Ειδικού Χαρακτήρα',
 		title		: 'Επιλέξτε έναν Ειδικό Χαρακτήρα',
-		options : 'Special Character Options' // MISSING
+		options : 'Επιλογές Ειδικών Χαρακτήρων'
 	},
 
@@ -164,5 +164,5 @@
 		targetPopupName	: 'Όνομα Αναδυόμενου Παραθύρου',
 		popupFeatures	: 'Επιλογές Αναδυόμενου Παραθύρου',
-		popupResizable	: 'Resizable', // MISSING
+		popupResizable	: 'Προσαρμοζόμενο Μέγεθος',
 		popupStatusBar	: 'Γραμμή Κατάστασης',
 		popupLocationBar: 'Γραμμή Τοποθεσίας',
@@ -187,5 +187,5 @@
 		charset			: 'Κωδικοποίηση Χαρακτήρων Προσαρτημένης Πηγής',
 		styles			: 'Μορφή',
-		rel			: 'Relationship', // MISSING
+		rel			: 'Σχέση',
 		selectAnchor		: 'Επιλέξτε μια άγκυρα',
 		anchorName		: 'Βάσει του Ονόματος της άγκυρας',
@@ -207,5 +207,5 @@
 		name		: 'Όνομα άγκυρας',
 		errorName	: 'Παρακαλούμε εισάγετε όνομα άγκυρας',
-		remove		: 'Remove Anchor' // MISSING
+		remove		: 'Αφαίρεση Άγκυρας'
 	},
 
@@ -213,14 +213,14 @@
 	list:
 	{
-		numberedTitle		: 'Numbered List Properties', // MISSING
-		bulletedTitle		: 'Bulleted List Properties', // MISSING
-		type				: 'Type', // MISSING
-		start				: 'Start', // MISSING
-		validateStartNumber				:'List start number must be a whole number.', // MISSING
-		circle				: 'Circle', // MISSING
-		disc				: 'Disc', // MISSING
-		square				: 'Square', // MISSING
-		none				: 'None', // MISSING
-		notset				: '<not set>', // MISSING
+		numberedTitle		: 'Ιδιότητες Αριθμημένης Λίστας ',
+		bulletedTitle		: 'Ιδιότητες Λίστας Σημείων',
+		type				: 'Τύπος',
+		start				: 'Εκκίνηση',
+		validateStartNumber				:'Ο αριθμός εκκίνησης της αρίθμησης πρέπει να είναι ακέραιος αριθμός.',
+		circle				: 'Κύκλος',
+		disc				: 'Δίσκος',
+		square				: 'Τετράγωνο',
+		none				: 'Τίποτα',
+		notset				: '<δεν έχει οριστεί>',
 		armenian			: 'Armenian numbering', // MISSING
 		georgian			: 'Georgian numbering (an, ban, gan, etc.)', // MISSING
@@ -230,5 +230,5 @@
 		upperAlpha			: 'Upper Alpha (A, B, C, D, E, etc.)', // MISSING
 		lowerGreek			: 'Lower Greek (alpha, beta, gamma, etc.)', // MISSING
-		decimal				: 'Decimal (1, 2, 3, etc.)', // MISSING
+		decimal				: 'Δεκαδικός (1, 2, 3, κτλ)',
 		decimalLeadingZero	: 'Decimal leading zero (01, 02, 03, etc.)' // MISSING
 	},
@@ -237,5 +237,5 @@
 	findAndReplace :
 	{
-		title				: 'Find and Replace', // MISSING
+		title				: 'Αναζήτηση και Αντικατάσταση',
 		find				: 'Αναζήτηση',
 		replace				: 'Αντικατάσταση',
@@ -263,52 +263,52 @@
 		widthPx		: 'pixels',
 		widthPc		: 'τοις εκατό',
-		widthUnit	: 'width unit', // MISSING
+		widthUnit	: 'μονάδα πλάτους',
 		cellSpace	: 'Διάστημα κελιών',
 		cellPad		: 'Γέμισμα κελιών',
 		caption		: 'Λεζάντα',
 		summary		: 'Περίληψη',
-		headers		: 'Headers', // MISSING
-		headersNone		: 'None', // MISSING
-		headersColumn	: 'First column', // MISSING
-		headersRow		: 'First Row', // MISSING
-		headersBoth		: 'Both', // MISSING
-		invalidRows		: 'Number of rows must be a number greater than 0.', // MISSING
-		invalidCols		: 'Number of columns must be a number greater than 0.', // MISSING
-		invalidBorder	: 'Border size must be a number.', // MISSING
-		invalidWidth	: 'Table width must be a number.', // MISSING
-		invalidHeight	: 'Table height must be a number.', // MISSING
-		invalidCellSpacing	: 'Cell spacing must be a positive number.', // MISSING
-		invalidCellPadding	: 'Cell padding must be a positive number.', // MISSING
+		headers		: 'Κεφαλίδες',
+		headersNone		: 'Κανένα',
+		headersColumn	: 'Πρώτη Στήλη',
+		headersRow		: 'Πρώτη Σειρά',
+		headersBoth		: 'Και τα δύο',
+		invalidRows		: 'Ο αριθμός των σειρών πρέπει να είναι μεγαλύτερος από 0.',
+		invalidCols		: 'Ο αριθμός των στηλών πρέπει να είναι μεγαλύτερος από 0.',
+		invalidBorder	: 'Το πάχος του περιγράμματος πρέπει να είναι ένας αριθμός.',
+		invalidWidth	: 'Το πλάτος του πίνακα πρέπει να είναι ένας αριθμός.',
+		invalidHeight	: 'Το ύψος του πίνακα πρέπει να είναι ένας αριθμός.',
+		invalidCellSpacing	: 'Η απόσταση μεταξύ των κελιών πρέπει να είναι ένας θετικός αριθμός.',
+		invalidCellPadding	: 'Το γέμισμα μέσα στα κελιά πρέπει να είναι ένας θετικός αριθμός.',
 
 		cell :
 		{
 			menu			: 'Κελί',
-			insertBefore	: 'Insert Cell Before', // MISSING
-			insertAfter		: 'Insert Cell After', // MISSING
+			insertBefore	: 'Εισαγωγή Κελιού Πριν',
+			insertAfter		: 'Εισαγωγή Κελιού Μετά',
 			deleteCell		: 'Διαγραφή Κελιών',
 			merge			: 'Ενοποίηση Κελιών',
-			mergeRight		: 'Merge Right', // MISSING
-			mergeDown		: 'Merge Down', // MISSING
-			splitHorizontal	: 'Split Cell Horizontally', // MISSING
-			splitVertical	: 'Split Cell Vertically', // MISSING
-			title			: 'Cell Properties', // MISSING
-			cellType		: 'Cell Type', // MISSING
-			rowSpan			: 'Rows Span', // MISSING
-			colSpan			: 'Columns Span', // MISSING
+			mergeRight		: 'Συγχώνευση Με Δεξιά',
+			mergeDown		: 'Συγχώνευση Με Κάτω',
+			splitHorizontal	: 'Οριζόντιο Μοίρασμα Κελιού',
+			splitVertical	: 'Κατακόρυφο Μοίρασμα Κελιού',
+			title			: 'Ιδιότητες Κελιού',
+			cellType		: 'Τύπος Κελιού',
+			rowSpan			: 'Εύρος Σειρών',
+			colSpan			: 'Εύρος Στηλών',
 			wordWrap		: 'Word Wrap', // MISSING
-			hAlign			: 'Horizontal Alignment', // MISSING
-			vAlign			: 'Vertical Alignment', // MISSING
+			hAlign			: 'Οριζόντια Στοίχιση',
+			vAlign			: 'Κάθετη Στοίχιση',
 			alignBaseline	: 'Baseline', // MISSING
-			bgColor			: 'Background Color', // MISSING
-			borderColor		: 'Border Color', // MISSING
-			data			: 'Data', // MISSING
-			header			: 'Header', // MISSING
-			yes				: 'Yes', // MISSING
-			no				: 'No', // MISSING
-			invalidWidth	: 'Cell width must be a number.', // MISSING
-			invalidHeight	: 'Cell height must be a number.', // MISSING
+			bgColor			: 'Χρώμα Φόντου',
+			borderColor		: 'Χρώμα Περιγράμματος',
+			data			: 'Δεδομένα',
+			header			: 'Κεφαλίδα',
+			yes				: 'Ναι',
+			no				: 'Όχι',
+			invalidWidth	: 'Το πλάτος του κελιού πρέπει να είναι ένας αριθμός.',
+			invalidHeight	: 'Το ύψος του κελιού πρέπει να είναι ένας αριθμός.',
 			invalidRowSpan	: 'Rows span must be a whole number.', // MISSING
 			invalidColSpan	: 'Columns span must be a whole number.', // MISSING
-			chooseColor		: 'Choose' // MISSING
+			chooseColor		: 'Επιλέξτε'
 		},
 
@@ -316,6 +316,6 @@
 		{
 			menu			: 'Σειρά',
-			insertBefore	: 'Insert Row Before', // MISSING
-			insertAfter		: 'Insert Row After', // MISSING
+			insertBefore	: 'Εισαγωγή Σειράς Από Πάνω',
+			insertAfter		: 'Εισαγωγή Σειράς Από Κάτω',
 			deleteRow		: 'Διαγραφή Γραμμών'
 		},
@@ -324,6 +324,6 @@
 		{
 			menu			: 'Στήλη',
-			insertBefore	: 'Insert Column Before', // MISSING
-			insertAfter		: 'Insert Column After', // MISSING
+			insertBefore	: 'Εισαγωγή Στήλης Πριν',
+			insertAfter		: 'Εισαγωγή Σειράς Μετά',
 			deleteColumn	: 'Διαγραφή Κολωνών'
 		}
@@ -357,5 +357,5 @@
 		action		: 'Δράση',
 		method		: 'Μέθοδος',
-		encoding	: 'Encoding' // MISSING
+		encoding	: 'Κωδικοποίηση'
 	},
 
@@ -426,5 +426,5 @@
 		alertUrl	: 'Εισάγετε την τοποθεσία (URL) της εικόνας',
 		linkTab		: 'Σύνδεσμος',
-		button2Img	: 'Do you want to transform the selected image button on a simple image?', // MISSING
+		button2Img	: 'Θέλετε να μετατρέψετε το επιλεγμένο κουμπί εικόνας σε απλή εικόνα;',
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
@@ -438,5 +438,5 @@
 	{
 		properties		: 'Ιδιότητες Flash',
-		propertiesTab	: 'Properties', // MISSING
+		propertiesTab	: 'Ιδιότητες',
 		title			: 'Ιδιότητες Flash',
 		chkPlay			: 'Αυτόματη Εκτέλεση',
Index: CKEditor/trunk/_source/plugins/a11yhelp/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/plugins/a11yhelp/lang/_translationstatus.txt	(revision 7477)
+++ CKEditor/trunk/_source/plugins/a11yhelp/lang/_translationstatus.txt	(revision 7478)
@@ -6,5 +6,5 @@
 da.js      Found: 11 Missing: 19
 de.js      Found: 30 Missing: 0
-el.js      Found: 23 Missing: 7
+el.js      Found: 25 Missing: 5
 eo.js      Found: 30 Missing: 0
 fa.js      Found: 30 Missing: 0
Index: CKEditor/trunk/_source/plugins/a11yhelp/lang/el.js
===================================================================
--- CKEditor/trunk/_source/plugins/a11yhelp/lang/el.js	(revision 7477)
+++ CKEditor/trunk/_source/plugins/a11yhelp/lang/el.js	(revision 7478)
@@ -25,9 +25,9 @@
 								name : 'Παράθυρο Διαλόγου Επεξεργαστή',
 								legend :
-									'Inside a dialog, press TAB to navigate to next dialog field, press SHIFT + TAB to move to previous field, press ENTER to submit dialog, press ESC to cancel dialog. For dialogs that have multiple tab pages, press ALT + F10 to navigate to tab-list. Then move to next tab with TAB OR RIGTH ARROW. Move to previous tab with SHIFT + TAB or LEFT ARROW. Press SPACE or ENTER to select the tab page.'  // MISSING
+									'Μέσα σε ένα παράθυρο διαλόγου, πατήστε TAB για να μεταβείτε στο επόμενο πεδίο ή SHIFT + TAB για να μεταβείτε στο προηγούμενο. Πατήστε ENTER για να υποβάλετε την φόρμα. Πατήστε ESC για να ακυρώσετε την διαδικασία της φόρμας. Για παράθυρα διαλόγων που έχουν πολλές σελίδες σε καρτέλες πατήστε ALT + F10 για να μεταβείτε στην λίστα των καρτέλων. Στην συνέχεια μπορείτε να μεταβείτε στην επόμενη καρτέλα πατώντας TAB ή RIGHT ARROW. Μπορείτε να μεταβείτε στην προηγούμενη καρτέλα πατώντας SHIFT + TAB ή LEFT ARROW. Πατήστε SPACE ή ENTER για να επιλέξετε την καρτέλα για προβολή.' 
 							},
 
 							{
-								name : 'Editor Context Menu', // MISSING
+								name : 'Αναδυόμενο Μενού Επεξεργαστή',
 								legend :
 									'Press ${contextMenu} or APPLICATION KEY to open context-menu. Then move to next menu option with TAB or DOWN ARROW. Move to previous option with SHIFT+TAB or UP ARROW. Press SPACE or ENTER to select the menu option. Open sub-menu of current option with SPACE or ENTER or RIGHT ARROW. Go back to parent menu item with ESC or LEFT ARROW. Close context menu with ESC.'  // MISSING
Index: CKEditor/trunk/_source/plugins/specialchar/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/plugins/specialchar/lang/_translationstatus.txt	(revision 7477)
+++ CKEditor/trunk/_source/plugins/specialchar/lang/_translationstatus.txt	(revision 7478)
@@ -5,4 +5,5 @@
 cy.js      Found: 118 Missing: 0
 de.js      Found: 118 Missing: 0
+el.js      Found: 16 Missing: 102
 eo.js      Found: 118 Missing: 0
 et.js      Found: 31 Missing: 87
Index: CKEditor/trunk/_source/plugins/specialchar/lang/el.js
===================================================================
--- CKEditor/trunk/_source/plugins/specialchar/lang/el.js	(revision 7478)
+++ CKEditor/trunk/_source/plugins/specialchar/lang/el.js	(revision 7478)
@@ -0,0 +1,126 @@
+﻿/*
+Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
+
+CKEDITOR.plugins.setLang( 'specialchar', 'el',
+{
+	euro: 'Σύμβολο Ευρώ',
+	lsquo: 'Αριστερός χαρακτήρας μονού εισαγωγικού',
+	rsquo: 'Δεξιός χαρακτήρας μονού εισαγωγικού',
+	ldquo: 'Αριστερός χαρακτήρας διπλού εισαγωγικού',
+	rdquo: 'Δεξιός χαρακτήρας διπλού εισαγωγικού',
+	ndash: 'Παύλα en',
+	mdash: 'Παύλα em',
+	iexcl: 'Ανάποδο θαυμαστικό',
+	cent: 'Σύμβολο Σεντ',
+	pound: 'Σύμβολο λίρας',
+	curren: 'Σύμβολο συναλλαγματικής μονάδας',
+	yen: 'Σύμβολο Γιέν',
+	brvbar: 'Σπασμένη μπάρα',
+	sect: 'Σύμβολο τμήματος',
+	uml: 'Διαίρεση',
+	copy: 'Σύμβολο πνευματικών δικαιωμάτων',
+	ordf: 'Feminine ordinal indicator', // MISSING
+	laquo: 'Left-pointing double angle quotation mark', // MISSING
+	not: 'Not sign', // MISSING
+	reg: 'Registered sign', // MISSING
+	macr: 'Macron', // MISSING
+	deg: 'Degree sign', // MISSING
+	sup2: 'Superscript two', // MISSING
+	sup3: 'Superscript three', // MISSING
+	acute: 'Acute accent', // MISSING
+	micro: 'Micro sign', // MISSING
+	para: 'Pilcrow sign', // MISSING
+	middot: 'Middle dot', // MISSING
+	cedil: 'Cedilla', // MISSING
+	sup1: 'Superscript one', // MISSING
+	ordm: 'Masculine ordinal indicator', // MISSING
+	raquo: 'Right-pointing double angle quotation mark', // MISSING
+	frac14: 'Vulgar fraction one quarter', // MISSING
+	frac12: 'Vulgar fraction one half', // MISSING
+	frac34: 'Vulgar fraction three quarters', // MISSING
+	iquest: 'Inverted question mark', // MISSING
+	Agrave: 'Latin capital letter A with grave accent', // MISSING
+	Aacute: 'Latin capital letter A with acute accent', // MISSING
+	Acirc: 'Latin capital letter A with circumflex', // MISSING
+	Atilde: 'Latin capital letter A with tilde', // MISSING
+	Auml: 'Latin capital letter A with diaeresis', // MISSING
+	Aring: 'Latin capital letter A with ring above', // MISSING
+	AElig: 'Latin Capital letter Æ', // MISSING
+	Ccedil: 'Latin capital letter C with cedilla', // MISSING
+	Egrave: 'Latin capital letter E with grave accent', // MISSING
+	Eacute: 'Latin capital letter E with acute accent', // MISSING
+	Ecirc: 'Latin capital letter E with circumflex', // MISSING
+	Euml: 'Latin capital letter E with diaeresis', // MISSING
+	Igrave: 'Latin capital letter I with grave accent', // MISSING
+	Iacute: 'Latin capital letter I with acute accent', // MISSING
+	Icirc: 'Latin capital letter I with circumflex', // MISSING
+	Iuml: 'Latin capital letter I with diaeresis', // MISSING
+	ETH: 'Latin capital letter Eth', // MISSING
+	Ntilde: 'Latin capital letter N with tilde', // MISSING
+	Ograve: 'Latin capital letter O with grave accent', // MISSING
+	Oacute: 'Latin capital letter O with acute accent', // MISSING
+	Ocirc: 'Latin capital letter O with circumflex', // MISSING
+	Otilde: 'Latin capital letter O with tilde', // MISSING
+	Ouml: 'Latin capital letter O with diaeresis', // MISSING
+	times: 'Multiplication sign', // MISSING
+	Oslash: 'Latin capital letter O with stroke', // MISSING
+	Ugrave: 'Latin capital letter U with grave accent', // MISSING
+	Uacute: 'Latin capital letter U with acute accent', // MISSING
+	Ucirc: 'Latin capital letter U with circumflex', // MISSING
+	Uuml: 'Latin capital letter U with diaeresis', // MISSING
+	Yacute: 'Latin capital letter Y with acute accent', // MISSING
+	THORN: 'Latin capital letter Thorn', // MISSING
+	szlig: 'Latin small letter sharp s', // MISSING
+	agrave: 'Latin small letter a with grave accent', // MISSING
+	aacute: 'Latin small letter a with acute accent', // MISSING
+	acirc: 'Latin small letter a with circumflex', // MISSING
+	atilde: 'Latin small letter a with tilde', // MISSING
+	auml: 'Latin small letter a with diaeresis', // MISSING
+	aring: 'Latin small letter a with ring above', // MISSING
+	aelig: 'Latin small letter æ', // MISSING
+	ccedil: 'Latin small letter c with cedilla', // MISSING
+	egrave: 'Latin small letter e with grave accent', // MISSING
+	eacute: 'Latin small letter e with acute accent', // MISSING
+	ecirc: 'Latin small letter e with circumflex', // MISSING
+	euml: 'Latin small letter e with diaeresis', // MISSING
+	igrave: 'Latin small letter i with grave accent', // MISSING
+	iacute: 'Latin small letter i with acute accent', // MISSING
+	icirc: 'Latin small letter i with circumflex', // MISSING
+	iuml: 'Latin small letter i with diaeresis', // MISSING
+	eth: 'Latin small letter eth', // MISSING
+	ntilde: 'Latin small letter n with tilde', // MISSING
+	ograve: 'Latin small letter o with grave accent', // MISSING
+	oacute: 'Latin small letter o with acute accent', // MISSING
+	ocirc: 'Latin small letter o with circumflex', // MISSING
+	otilde: 'Latin small letter o with tilde', // MISSING
+	ouml: 'Latin small letter o with diaeresis', // MISSING
+	divide: 'Division sign', // MISSING
+	oslash: 'Latin small letter o with stroke', // MISSING
+	ugrave: 'Latin small letter u with grave accent', // MISSING
+	uacute: 'Latin small letter u with acute accent', // MISSING
+	ucirc: 'Latin small letter u with circumflex', // MISSING
+	uuml: 'Latin small letter u with diaeresis', // MISSING
+	yacute: 'Latin small letter y with acute accent', // MISSING
+	thorn: 'Latin small letter thorn', // MISSING
+	yuml: 'Latin small letter y with diaeresis', // MISSING
+	OElig: 'Latin capital ligature OE', // MISSING
+	oelig: 'Latin small ligature oe', // MISSING
+	'372': 'Latin capital letter W with circumflex', // MISSING
+	'374': 'Latin capital letter Y with circumflex', // MISSING
+	'373': 'Latin small letter w with circumflex', // MISSING
+	'375': 'Latin small letter y with circumflex', // MISSING
+	sbquo: 'Single low-9 quotation mark', // MISSING
+	'8219': 'Single high-reversed-9 quotation mark', // MISSING
+	bdquo: 'Double low-9 quotation mark', // MISSING
+	hellip: 'Horizontal ellipsis', // MISSING
+	trade: 'Trade mark sign', // MISSING
+	'9658': 'Black right-pointing pointer', // MISSING
+	bull: 'Bullet', // MISSING
+	rarr: 'Rightwards arrow', // MISSING
+	rArr: 'Rightwards double arrow', // MISSING
+	hArr: 'Left right double arrow', // MISSING
+	diams: 'Black diamond suit', // MISSING
+	asymp: 'Almost equal to' // MISSING
+});