Index: /CKEditor/trunk/_source/lang/_translationstatus.txt
===================================================================
--- /CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 7479)
+++ /CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 7480)
@@ -48,5 +48,5 @@
 pt-br.js   Found: 576 Missing: 0
 pt.js      Found: 326 Missing: 250
-ro.js      Found: 317 Missing: 259
+ro.js      Found: 433 Missing: 143
 ru.js      Found: 576 Missing: 0
 sk.js      Found: 365 Missing: 211
Index: /CKEditor/trunk/_source/lang/ro.js
===================================================================
--- /CKEditor/trunk/_source/lang/ro.js	(revision 7479)
+++ /CKEditor/trunk/_source/lang/ro.js	(revision 7480)
@@ -32,9 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+	editorTitle : 'Rich text editor, %1, apasă ALT 0 pentru ajutor.',
 
 	// ARIA descriptions.
-	toolbars	: 'Editor toolbars', // MISSING
-	editor		: 'Rich Text Editor', // MISSING
+	toolbars	: 'Editează bara de unelte',
+	editor		: 'Rich Text Editor',
 
 	// Toolbar buttons without dialogs.
@@ -55,7 +55,7 @@
 	subscript		: 'Indice (subscript)',
 	superscript		: 'Putere (superscript)',
-	horizontalrule	: 'Inserează linie orizontă',
+	horizontalrule	: 'Inserează linie orizontală',
 	pagebreak		: 'Inserează separator de pagină (Page Break)',
-	pagebreakAlt		: 'Page Break', // MISSING
+	pagebreakAlt		: 'Page Break',
 	unlink			: 'Înlătură link (legătură web)',
 	undo			: 'Starea anterioară (undo)',
@@ -92,27 +92,27 @@
 		advisoryTitle	: 'Titlul consultativ',
 		cssStyle		: 'Stil',
-		ok				: 'Bine',
+		ok				: 'OK',
 		cancel			: 'Anulare',
-		close			: 'Close', // MISSING
-		preview			: 'Preview', // MISSING
-		generalTab		: 'General', // MISSING
+		close			: 'Închide',
+		preview			: 'Previzualizare',
+		generalTab		: 'General',
 		advancedTab		: 'Avansat',
-		validateNumberFailed : 'This value is not a number.', // MISSING
-		confirmNewPage	: 'Any unsaved changes to this content will be lost. Are you sure you want to load new page?', // MISSING
-		confirmCancel	: 'Some of the options have been changed. Are you sure to close the dialog?', // MISSING
-		options			: 'Options', // MISSING
-		target			: 'Target', // MISSING
-		targetNew		: 'New Window (_blank)', // MISSING
-		targetTop		: 'Topmost Window (_top)', // MISSING
-		targetSelf		: 'Same Window (_self)', // MISSING
-		targetParent	: 'Parent Window (_parent)', // MISSING
-		langDirLTR		: 'Left to Right (LTR)', // MISSING
-		langDirRTL		: 'Right to Left (RTL)', // MISSING
-		styles			: 'Style', // MISSING
-		cssClasses		: 'Stylesheet Classes', // MISSING
+		validateNumberFailed : 'Această valoare nu este un număr.',
+		confirmNewPage	: 'Orice modificări nesalvate ale acestui conținut, vor fi pierdute. Sigur doriți încărcarea unei noi pagini?',
+		confirmCancel	: 'Câteva opțiuni au fost schimbate. Sigur doriți să închideți dialogul?',
+		options			: 'Opțiuni',
+		target			: 'Țintă',
+		targetNew		: 'Fereastră nouă (_blank)',
+		targetTop		: 'Topmost Window (_top)',
+		targetSelf		: 'În aceeași fereastră (_self)',
+		targetParent	: 'Parent Window (_parent)',
+		langDirLTR		: 'Stânga spre Dreapta (LTR)',
+		langDirRTL		: 'Dreapta spre Stânga (RTL)',
+		styles			: 'Stil',
+		cssClasses		: 'Stylesheet Classes',
 		width			: 'Lăţime',
 		height			: 'Înălţime',
 		align			: 'Aliniere',
-		alignLeft		: 'Stânga',
+		alignLeft		: 'Mărește Bara',
 		alignRight		: 'Dreapta',
 		alignCenter		: 'Centru',
@@ -120,6 +120,6 @@
 		alignMiddle		: 'Mijloc',
 		alignBottom		: 'Jos',
-		invalidHeight	: 'Height must be a number.', // MISSING
-		invalidWidth	: 'Width must be a number.', // MISSING
+		invalidHeight	: 'Înălțimea trebuie să fie un număr.',
+		invalidWidth	: 'Lățimea trebuie să fie un număr.',
 		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
 		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
@@ -133,5 +133,5 @@
 	contextmenu :
 	{
-		options : 'Context Menu Options' // MISSING
+		options : 'Opțiuni Meniu Contextual'
 	},
 
@@ -141,5 +141,5 @@
 		toolbar		: 'Inserează caracter special',
 		title		: 'Selectează caracter special',
-		options : 'Special Character Options' // MISSING
+		options : 'Opțiuni caractere speciale'
 	},
 
@@ -156,13 +156,13 @@
 		advanced	: 'Avansat',
 		type		: 'Tipul link-ului (al legăturii web)',
-		toUrl		: 'URL', // MISSING
+		toUrl		: 'URL',
 		toAnchor	: 'Ancoră în această pagină',
 		toEmail		: 'E-Mail',
 		targetFrame		: '<frame>',
 		targetPopup		: '<fereastra popup>',
-		targetFrameName	: 'Numele frame-ului ţintă',
+		targetFrameName	: 'Numele frameului ţintă',
 		targetPopupName	: 'Numele ferestrei popup',
 		popupFeatures	: 'Proprietăţile ferestrei popup',
-		popupResizable	: 'Resizable', // MISSING
+		popupResizable	: 'Redimensionabil',
 		popupStatusBar	: 'Bara de status',
 		popupLocationBar: 'Bara de locaţie',
@@ -170,9 +170,9 @@
 		popupMenuBar	: 'Bara de meniu',
 		popupFullScreen	: 'Tot ecranul (Full Screen)(IE)',
-		popupScrollBars	: 'Scroll Bars',
+		popupScrollBars	: 'Bare de derulare',
 		popupDependent	: 'Dependent (Netscape)',
 		popupLeft		: 'Poziţia la stânga',
 		popupTop		: 'Poziţia la dreapta',
-		id				: 'Id', // MISSING
+		id				: 'Id',
 		langDir			: 'Direcţia cuvintelor',
 		langDirLTR		: 'stânga-dreapta (LTR)',
@@ -187,5 +187,5 @@
 		charset			: 'Setul de caractere al resursei legate',
 		styles			: 'Stil',
-		rel			: 'Relationship', // MISSING
+		rel			: 'Relație',
 		selectAnchor		: 'Selectaţi o ancoră',
 		anchorName		: 'după numele ancorei',
@@ -193,5 +193,5 @@
 		emailAddress		: 'Adresă de e-mail',
 		emailSubject		: 'Subiectul mesajului',
-		emailBody		: 'Conţinutul mesajului',
+		emailBody		: 'Opțiuni Meniu Contextual',
 		noAnchors		: '(Nicio ancoră disponibilă în document)',
 		noUrl			: 'Vă rugăm să scrieţi URL-ul',
@@ -207,5 +207,5 @@
 		name		: 'Numele ancorei',
 		errorName	: 'Vă rugăm scrieţi numele ancorei',
-		remove		: 'Remove Anchor' // MISSING
+		remove		: 'Elimină ancora'
 	},
 
@@ -213,23 +213,23 @@
 	list:
 	{
-		numberedTitle		: 'Numbered List Properties', // MISSING
-		bulletedTitle		: 'Bulleted List Properties', // MISSING
-		type				: 'Type', // MISSING
-		start				: 'Start', // MISSING
-		validateStartNumber				:'List start number must be a whole number.', // MISSING
-		circle				: 'Circle', // MISSING
-		disc				: 'Disc', // MISSING
-		square				: 'Square', // MISSING
-		none				: 'None', // MISSING
-		notset				: '<not set>', // MISSING
-		armenian			: 'Armenian numbering', // MISSING
-		georgian			: 'Georgian numbering (an, ban, gan, etc.)', // MISSING
-		lowerRoman			: 'Lower Roman (i, ii, iii, iv, v, etc.)', // MISSING
-		upperRoman			: 'Upper Roman (I, II, III, IV, V, etc.)', // MISSING
-		lowerAlpha			: 'Lower Alpha (a, b, c, d, e, etc.)', // MISSING
-		upperAlpha			: 'Upper Alpha (A, B, C, D, E, etc.)', // MISSING
-		lowerGreek			: 'Lower Greek (alpha, beta, gamma, etc.)', // MISSING
-		decimal				: 'Decimal (1, 2, 3, etc.)', // MISSING
-		decimalLeadingZero	: 'Decimal leading zero (01, 02, 03, etc.)' // MISSING
+		numberedTitle		: 'Proprietățile listei numerotate',
+		bulletedTitle		: 'Proprietățile listei cu simboluri',
+		type				: 'Tip',
+		start				: 'Start',
+		validateStartNumber				:'Începutul listei trebuie să fie un număr întreg.',
+		circle				: 'Cerc',
+		disc				: 'Disc',
+		square				: 'Pătrat',
+		none				: 'Nimic',
+		notset				: '<nesetat>',
+		armenian			: 'Numerotare armeniană',
+		georgian			: 'Numerotare georgiană (an, ban, gan, etc.)',
+		lowerRoman			: 'Cifre romane mici (i, ii, iii, iv, v, etc.)',
+		upperRoman			: 'Cifre romane mari (I, II, III, IV, V, etc.)',
+		lowerAlpha			: 'Litere mici (a, b, c, d, e, etc.)',
+		upperAlpha			: 'Litere mari (A, B, C, D, E, etc.)',
+		lowerGreek			: 'Litere grecești mici (alpha, beta, gamma, etc.)',
+		decimal				: 'Decimale (1, 2, 3, etc.)',
+		decimalLeadingZero	: 'Decimale cu zero în față (01, 02, 03, etc.)'
 	},
 
@@ -246,7 +246,7 @@
 		matchCase			: 'Deosebeşte majuscule de minuscule (Match case)',
 		matchWord			: 'Doar cuvintele întregi',
-		matchCyclic			: 'Match cyclic', // MISSING
+		matchCyclic			: 'Potrivește ciclic',
 		replaceAll			: 'Înlocuieşte tot',
-		replaceSuccessMsg	: '%1 occurrence(s) replaced.' // MISSING
+		replaceSuccessMsg	: '%1 căutări înlocuite.'
 	},
 
@@ -258,25 +258,25 @@
 		menu		: 'Proprietăţile tabelului',
 		deleteTable	: 'Şterge tabel',
-		rows		: 'Linii',
+		rows		: 'Rânduri',
 		columns		: 'Coloane',
 		border		: 'Mărimea marginii',
 		widthPx		: 'pixeli',
 		widthPc		: 'procente',
-		widthUnit	: 'width unit', // MISSING
+		widthUnit	: 'unitate lățime',
 		cellSpace	: 'Spaţiu între celule',
 		cellPad		: 'Spaţiu în cadrul celulei',
 		caption		: 'Titlu (Caption)',
 		summary		: 'Rezumat',
-		headers		: 'Headers', // MISSING
-		headersNone		: 'None', // MISSING
-		headersColumn	: 'First column', // MISSING
-		headersRow		: 'First Row', // MISSING
-		headersBoth		: 'Both', // MISSING
-		invalidRows		: 'Number of rows must be a number greater than 0.', // MISSING
-		invalidCols		: 'Number of columns must be a number greater than 0.', // MISSING
-		invalidBorder	: 'Border size must be a number.', // MISSING
-		invalidWidth	: 'Table width must be a number.', // MISSING
+		headers		: 'Antente',
+		headersNone		: 'Nimic',
+		headersColumn	: 'Prima coloană',
+		headersRow		: 'Primul rând',
+		headersBoth		: 'Ambele',
+		invalidRows		: 'Numărul rândurilor trebuie să fie mai mare decât 0.',
+		invalidCols		: 'Numărul coloanelor trebuie să fie mai mare decât 0.',
+		invalidBorder	: 'Dimensiunea bordurii trebuie să aibe un număr.',
+		invalidWidth	: 'Lățimea tabelului trebuie să fie un număr.',
 		invalidHeight	: 'Table height must be a number.', // MISSING
-		invalidCellSpacing	: 'Cell spacing must be a positive number.', // MISSING
+		invalidCellSpacing	: 'Spațierea celului trebuie să fie un număr pozitiv.',
 		invalidCellPadding	: 'Cell padding must be a positive number.', // MISSING
 
@@ -292,31 +292,31 @@
 			splitHorizontal	: 'Împarte celula pe orizontală',
 			splitVertical	: 'Împarte celula pe verticală',
-			title			: 'Cell Properties', // MISSING
-			cellType		: 'Cell Type', // MISSING
+			title			: 'Proprietăți celulă',
+			cellType		: 'Tipul celulei',
 			rowSpan			: 'Rows Span', // MISSING
 			colSpan			: 'Columns Span', // MISSING
 			wordWrap		: 'Word Wrap', // MISSING
-			hAlign			: 'Horizontal Alignment', // MISSING
-			vAlign			: 'Vertical Alignment', // MISSING
+			hAlign			: 'Aliniament orizontal',
+			vAlign			: 'Aliniament vertical',
 			alignBaseline	: 'Baseline', // MISSING
-			bgColor			: 'Background Color', // MISSING
-			borderColor		: 'Border Color', // MISSING
-			data			: 'Data', // MISSING
-			header			: 'Header', // MISSING
-			yes				: 'Yes', // MISSING
-			no				: 'No', // MISSING
-			invalidWidth	: 'Cell width must be a number.', // MISSING
-			invalidHeight	: 'Cell height must be a number.', // MISSING
+			bgColor			: 'Culoare fundal',
+			borderColor		: 'Culoare bordură',
+			data			: 'Data',
+			header			: 'Antet',
+			yes				: 'Da',
+			no				: 'Nu',
+			invalidWidth	: 'Lățimea celulei trebuie să fie un număr.',
+			invalidHeight	: 'Înălțimea celulei trebuie să fie un număr.',
 			invalidRowSpan	: 'Rows span must be a whole number.', // MISSING
 			invalidColSpan	: 'Columns span must be a whole number.', // MISSING
-			chooseColor		: 'Choose' // MISSING
+			chooseColor		: 'Alege'
 		},
 
 		row :
 		{
-			menu			: 'Linie',
-			insertBefore	: 'Inserează linie înainte',
-			insertAfter		: 'Inserează linie după',
-			deleteRow		: 'Şterge linii'
+			menu			: 'Rând',
+			insertBefore	: 'Inserează rând înainte',
+			insertAfter		: 'Inserează rând după',
+			deleteRow		: 'Şterge rânduri'
 		},
 
@@ -336,6 +336,6 @@
 		text		: 'Text (Valoare)',
 		type		: 'Tip',
-		typeBtn		: 'Button',
-		typeSbm		: 'Submit',
+		typeBtn		: 'Buton',
+		typeSbm		: 'Trimite',
 		typeRst		: 'Reset'
 	},
@@ -357,5 +357,5 @@
 		action		: 'Acţiune',
 		method		: 'Metodă',
-		encoding	: 'Encoding' // MISSING
+		encoding	: 'Encodare'
 	},
 
@@ -428,8 +428,8 @@
 		button2Img	: 'Do you want to transform the selected image button on a simple image?', // MISSING
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
-		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateBorder	: 'Border must be a whole number.', // MISSING
-		validateHSpace	: 'HSpace must be a whole number.', // MISSING
-		validateVSpace	: 'VSpace must be a whole number.' // MISSING
+		urlMissing	: 'Sursa URL a imaginii lipsește.',
+		validateBorder	: 'Bordura trebuie să fie un număr întreg.',
+		validateHSpace	: 'Hspace trebuie să fie un număr întreg.',
+		validateVSpace	: 'Vspace trebuie să fie un număr întreg.'
 	},
 
@@ -437,41 +437,41 @@
 	flash :
 	{
-		properties		: 'Proprietăţile flash-ului',
-		propertiesTab	: 'Properties', // MISSING
-		title			: 'Proprietăţile flash-ului',
+		properties		: 'Proprietăţile flashului',
+		propertiesTab	: 'Proprietăți',
+		title			: 'Proprietăţile flashului',
 		chkPlay			: 'Rulează automat',
 		chkLoop			: 'Repetă (Loop)',
 		chkMenu			: 'Activează meniul flash',
-		chkFull			: 'Allow Fullscreen', // MISSING
+		chkFull			: 'Permite pe tot ecranul',
  		scale			: 'Scală',
 		scaleAll		: 'Arată tot',
-		scaleNoBorder	: 'Fără margini (No border)',
+		scaleNoBorder	: 'Fără bordură (No border)',
 		scaleFit		: 'Potriveşte',
-		access			: 'Script Access', // MISSING
-		accessAlways	: 'Always', // MISSING
-		accessSameDomain: 'Same domain', // MISSING
-		accessNever		: 'Never', // MISSING
+		access			: 'Acces script',
+		accessAlways	: 'Întotdeauna',
+		accessSameDomain: 'Același domeniu',
+		accessNever		: 'Niciodată',
 		alignAbsBottom	: 'Jos absolut (Abs Bottom)',
 		alignAbsMiddle	: 'Mijloc absolut (Abs Middle)',
 		alignBaseline	: 'Linia de jos (Baseline)',
 		alignTextTop	: 'Text sus',
-		quality			: 'Quality', // MISSING
-		qualityBest		: 'Best', // MISSING
-		qualityHigh		: 'High', // MISSING
-		qualityAutoHigh	: 'Auto High', // MISSING
-		qualityMedium	: 'Medium', // MISSING
-		qualityAutoLow	: 'Auto Low', // MISSING
-		qualityLow		: 'Low', // MISSING
-		windowModeWindow: 'Window', // MISSING
-		windowModeOpaque: 'Opaque', // MISSING
-		windowModeTransparent : 'Transparent', // MISSING
-		windowMode		: 'Window mode', // MISSING
-		flashvars		: 'Variables for Flash', // MISSING
+		quality			: 'Calitate',
+		qualityBest		: 'Cea mai bună',
+		qualityHigh		: 'Înaltă',
+		qualityAutoHigh	: 'Auto înaltă',
+		qualityMedium	: 'Medie',
+		qualityAutoLow	: 'Auto Joasă',
+		qualityLow		: 'Joasă',
+		windowModeWindow: 'Fereastră',
+		windowModeOpaque: 'Opacă',
+		windowModeTransparent : 'Transparentă',
+		windowMode		: 'Mod fereastră',
+		flashvars		: 'Variabile pentru flash',
 		bgcolor			: 'Coloarea fundalului',
 		hSpace			: 'HSpace',
 		vSpace			: 'VSpace',
 		validateSrc		: 'Vă rugăm să scrieţi URL-ul',
-		validateHSpace	: 'HSpace must be a number.', // MISSING
-		validateVSpace	: 'VSpace must be a number.' // MISSING
+		validateHSpace	: 'Hspace trebuie să fie un număr.',
+		validateVSpace	: 'VSpace trebuie să fie un număr'
 	},
 
@@ -479,8 +479,8 @@
 	spellCheck :
 	{
-		toolbar			: 'Verifică text',
+		toolbar			: 'Verifică scrierea textului',
 		title			: 'Spell Check', // MISSING
-		notAvailable	: 'Sorry, but service is unavailable now.', // MISSING
-		errorLoading	: 'Error loading application service host: %s.', // MISSING
+		notAvailable	: 'Scuzați, dar serviciul nu este disponibil momentan.',
+		errorLoading	: 'Eroare în lansarea aplicației service host %s.',
 		notInDic		: 'Nu e în dicţionar',
 		changeTo		: 'Schimbă în',
@@ -503,15 +503,15 @@
 		toolbar	: 'Figură expresivă (Emoticon)',
 		title	: 'Inserează o figură expresivă (Emoticon)',
-		options : 'Smiley Options' // MISSING
+		options : 'Opțiuni figuri expresive'
 	},
 
 	elementsPath :
 	{
-		eleLabel : 'Elements path', // MISSING
+		eleLabel : 'Calea elementelor',
 		eleTitle : '%1 element' // MISSING
 	},
 
-	numberedlist	: 'Listă numerotată',
-	bulletedlist	: 'Listă cu puncte',
+	numberedlist	: 'Inserează / Elimină Listă numerotată',
+	bulletedlist	: 'Inserează / Elimină Listă cu puncte',
 	indent			: 'Creşte indentarea',
 	outdent			: 'Scade indentarea',
@@ -532,15 +532,15 @@
 		cutError	: 'Setările de securitate ale navigatorului (browser) pe care îl folosiţi nu permit editorului să execute automat operaţiunea de tăiere. Vă rugăm folosiţi tastatura (Ctrl/Cmd+X).',
 		copyError	: 'Setările de securitate ale navigatorului (browser) pe care îl folosiţi nu permit editorului să execute automat operaţiunea de copiere. Vă rugăm folosiţi tastatura (Ctrl/Cmd+C).',
-		pasteMsg	: 'Vă rugăm adăugaţi în căsuţa următoare folosind tastatura (<STRONG>Ctrl/Cmd+V</STRONG>) şi apăsaţi <STRONG>OK</STRONG>.',
+		pasteMsg	: 'Vă rugăm adăugaţi în căsuţa următoare folosind tastatura (<strong>Ctrl/Cmd+V</strong>) şi apăsaţi OK',
 		securityMsg	: 'Din cauza setărilor de securitate ale programului dvs. cu care navigaţi pe internet (browser), editorul nu poate accesa direct datele din clipboard. Va trebui să adăugaţi din nou datele în această fereastră.',
-		pasteArea	: 'Paste Area' // MISSING
+		pasteArea	: 'Suprafața de adăugare'
 	},
 
 	pastefromword :
 	{
-		confirmCleanup	: 'The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?', // MISSING
+		confirmCleanup	: 'Textul pe care doriți să-l lipiți este din Word. Doriți curățarea textului înante de a-l adăuga?',
 		toolbar			: 'Adaugă din Word',
 		title			: 'Adaugă din Word',
-		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		error			: 'Nu a fost posibilă curățarea datelor adăugate datorită unei erori interne'
 	},
 
@@ -555,5 +555,5 @@
 		button			: 'Template-uri (şabloane)',
 		title			: 'Template-uri (şabloane) de conţinut',
-		options : 'Template Options', // MISSING
+		options : 'Opțiuni șabloane',
 		insertOption	: 'Înlocuieşte cuprinsul actual',
 		selectPromptMsg	: 'Vă rugăm selectaţi template-ul (şablonul) ce se va deschide în editor<br>(conţinutul actual va fi pierdut):',
@@ -566,5 +566,5 @@
 	{
 		label		: 'Stil',
-		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle	: 'Formatarea stilurilor',
 		panelTitle1	: 'Block Styles', // MISSING
 		panelTitle2	: 'Inline Styles', // MISSING
@@ -578,6 +578,6 @@
 
 		tag_p		: 'Normal',
-		tag_pre		: 'Formatted',
-		tag_address	: 'Address',
+		tag_pre		: 'Formatat',
+		tag_address	: 'Adresă',
 		tag_h1		: 'Heading 1',
 		tag_h2		: 'Heading 2',
@@ -594,7 +594,7 @@
 		toolbar				: 'Create Div Container', // MISSING
 		cssClassInputLabel	: 'Stylesheet Classes', // MISSING
-		styleSelectLabel	: 'Style', // MISSING
-		IdInputLabel		: 'Id', // MISSING
-		languageCodeInputLabel	: ' Language Code', // MISSING
+		styleSelectLabel	: 'Stil',
+		IdInputLabel		: 'Id',
+		languageCodeInputLabel	: 'Codul limbii',
 		inlineStyleInputLabel	: 'Inline Style', // MISSING
 		advisoryTitleInputLabel	: 'Advisory Title', // MISSING
@@ -727,6 +727,6 @@
 	},
 
-	maximize : 'Maximize', // MISSING
-	minimize : 'Minimize', // MISSING
+	maximize : 'Mărește',
+	minimize : 'Micșorează',
 
 	fakeobjects :
@@ -739,5 +739,5 @@
 	},
 
-	resize : 'Drag to resize', // MISSING
+	resize : 'Trage pentru a redimensiona',
 
 	colordialog :
@@ -750,6 +750,6 @@
 	},
 
-	toolbarCollapse	: 'Collapse Toolbar', // MISSING
-	toolbarExpand	: 'Expand Toolbar', // MISSING
+	toolbarCollapse	: 'Micșorează Bara',
+	toolbarExpand	: 'Mărește Bara',
 
 	toolbarGroups :
Index: /CKEditor/trunk/_source/plugins/a11yhelp/lang/_translationstatus.txt
===================================================================
--- /CKEditor/trunk/_source/plugins/a11yhelp/lang/_translationstatus.txt	(revision 7479)
+++ /CKEditor/trunk/_source/plugins/a11yhelp/lang/_translationstatus.txt	(revision 7480)
@@ -18,4 +18,5 @@
 nl.js      Found: 30 Missing: 0
 no.js      Found: 30 Missing: 0
+ro.js      Found: 6 Missing: 24
 tr.js      Found: 30 Missing: 0
 ug.js      Found: 27 Missing: 3
Index: /CKEditor/trunk/_source/plugins/a11yhelp/lang/ro.js
===================================================================
--- /CKEditor/trunk/_source/plugins/a11yhelp/lang/ro.js	(revision 7480)
+++ /CKEditor/trunk/_source/plugins/a11yhelp/lang/ro.js	(revision 7480)
@@ -0,0 +1,89 @@
+﻿/*
+Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
+
+CKEDITOR.plugins.setLang( 'a11yhelp', 'ro',
+{
+	accessibilityHelp :
+	{
+		title : 'Instrucțiuni de accesibilitate',
+		contents : 'Cuprins. Pentru a închide acest dialog, apăsați tasta ESC.',
+		legend :
+		[
+			{
+				name : 'General',
+				items :
+						[
+							{
+								name : 'Editează bara.',
+								legend:
+									'Press ${toolbarFocus} to navigate to the toolbar. Move to the next and previous toolbar group with TAB and SHIFT-TAB. Move to the next and previous toolbar button with RIGHT ARROW or LEFT ARROW. Press SPACE or ENTER to activate the toolbar button.'  // MISSING
+							},
+
+							{
+								name : 'Dialog editor',
+								legend :
+									'Inside a dialog, press TAB to navigate to next dialog field, press SHIFT + TAB to move to previous field, press ENTER to submit dialog, press ESC to cancel dialog. For dialogs that have multiple tab pages, press ALT + F10 to navigate to tab-list. Then move to next tab with TAB OR RIGTH ARROW. Move to previous tab with SHIFT + TAB or LEFT ARROW. Press SPACE or ENTER to select the tab page.'  // MISSING
+							},
+
+							{
+								name : 'Editor meniu contextual',
+								legend :
+									'Press ${contextMenu} or APPLICATION KEY to open context-menu. Then move to next menu option with TAB or DOWN ARROW. Move to previous option with SHIFT+TAB or UP ARROW. Press SPACE or ENTER to select the menu option. Open sub-menu of current option with SPACE or ENTER or RIGHT ARROW. Go back to parent menu item with ESC or LEFT ARROW. Close context menu with ESC.'  // MISSING
+							},
+
+							{
+								name : 'Editor List Box', // MISSING
+								legend :
+									'Inside a list-box, move to next list item with TAB OR DOWN ARROW. Move to previous list item with SHIFT + TAB or UP ARROW. Press SPACE or ENTER to select the list option. Press ESC to close the list-box.'  // MISSING
+							},
+
+							{
+								name : 'Editor Element Path Bar', // MISSING
+								legend :
+									'Press ${elementsPathFocus} to navigate to the elements path bar. Move to next element button with TAB or RIGHT ARROW. Move to previous button with  SHIFT+TAB or LEFT ARROW. Press SPACE or ENTER to select the element in editor.'  // MISSING
+							}
+						]
+			},
+			{
+				name : 'Commands', // MISSING
+				items :
+						[
+							{
+								name : ' Undo command', // MISSING
+								legend : 'Press ${undo}' // MISSING
+							},
+							{
+								name : ' Redo command', // MISSING
+								legend : 'Press ${redo}' // MISSING
+							},
+							{
+								name : ' Bold command', // MISSING
+								legend : 'Press ${bold}' // MISSING
+							},
+							{
+								name : ' Italic command', // MISSING
+								legend : 'Press ${italic}' // MISSING
+							},
+							{
+								name : ' Underline command', // MISSING
+								legend : 'Press ${underline}' // MISSING
+							},
+							{
+								name : ' Link command', // MISSING
+								legend : 'Press ${link}' // MISSING
+							},
+							{
+								name : ' Toolbar Collapse command', // MISSING
+								legend : 'Press ${toolbarCollapse}' // MISSING
+							},
+							{
+								name : ' Accessibility Help', // MISSING
+								legend : 'Press ${a11yHelp}' // MISSING
+							}
+						]
+			}
+		]
+	}
+});