Index: CKEditor.NET/trunk/CKEditor.NET/CKEditorConfig.cs
===================================================================
--- CKEditor.NET/trunk/CKEditor.NET/CKEditorConfig.cs	(revision 7592)
+++ CKEditor.NET/trunk/CKEditor.NET/CKEditorConfig.cs	(revision 7594)
@@ -1,4 +1,4 @@
 ﻿/*
- * Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  * For licensing, see LICENSE.html or http://ckeditor.com/license
 */
Index: CKEditor.NET/trunk/CKEditor.NET/CKEditorControl.cs
===================================================================
--- CKEditor.NET/trunk/CKEditor.NET/CKEditorControl.cs	(revision 7592)
+++ CKEditor.NET/trunk/CKEditor.NET/CKEditorControl.cs	(revision 7594)
@@ -1,4 +1,4 @@
 ﻿/*
- * Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  * For licensing, see LICENSE.html or http://ckeditor.com/license
 */
@@ -1065,5 +1065,5 @@
 
 		#region Override Method
-		private string timestamp = "?t=B8DJ5M3";
+		private string timestamp = "?t=C6HH5UF";
 		protected override void OnPreRender(EventArgs e)
 		{
Index: CKEditor.NET/trunk/CKEditor.NET/Properties/AssemblyInfo.cs
===================================================================
--- CKEditor.NET/trunk/CKEditor.NET/Properties/AssemblyInfo.cs	(revision 7592)
+++ CKEditor.NET/trunk/CKEditor.NET/Properties/AssemblyInfo.cs	(revision 7594)
@@ -1,4 +1,4 @@
 ﻿/*
- * Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+ * Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
  * For licensing, see LICENSE.html or http://ckeditor.com/license
 */
@@ -18,5 +18,5 @@
 [assembly: AssemblyCompany("CKSource - Frederico Knabben")]
 [assembly: AssemblyProduct("CKEditor for ASP.NET")]
-[assembly: AssemblyCopyright("2003-2011, CKSource - Frederico Knabben")]
+[assembly: AssemblyCopyright( "2003-2012, CKSource - Frederico Knabben" )]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -42,4 +42,4 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.6.2.0")]
-[assembly: AssemblyFileVersion("3.6.2.0")]
+[assembly: AssemblyVersion( "3.6.4.0" )]
+[assembly: AssemblyFileVersion( "3.6.4.0" )]
Index: CKEditor.NET/trunk/_Samples/AttachEvents.aspx
===================================================================
--- CKEditor.NET/trunk/_Samples/AttachEvents.aspx	(revision 7592)
+++ CKEditor.NET/trunk/_Samples/AttachEvents.aspx	(revision 7594)
@@ -11,5 +11,5 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--
-Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
 -->
Index: CKEditor.NET/trunk/_Samples/Default.aspx
===================================================================
--- CKEditor.NET/trunk/_Samples/Default.aspx	(revision 7592)
+++ CKEditor.NET/trunk/_Samples/Default.aspx	(revision 7594)
@@ -4,5 +4,5 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--
-Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
 -->
Index: CKEditor.NET/trunk/_Samples/FirstUse.aspx
===================================================================
--- CKEditor.NET/trunk/_Samples/FirstUse.aspx	(revision 7592)
+++ CKEditor.NET/trunk/_Samples/FirstUse.aspx	(revision 7594)
@@ -4,5 +4,5 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--
-Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
 -->
Index: CKEditor.NET/trunk/_Samples/SampleConfig.aspx
===================================================================
--- CKEditor.NET/trunk/_Samples/SampleConfig.aspx	(revision 7592)
+++ CKEditor.NET/trunk/_Samples/SampleConfig.aspx	(revision 7594)
@@ -12,5 +12,5 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--
-Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
 -->
Index: CKEditor.NET/trunk/_Samples/SharedSpaces.aspx
===================================================================
--- CKEditor.NET/trunk/_Samples/SharedSpaces.aspx	(revision 7592)
+++ CKEditor.NET/trunk/_Samples/SharedSpaces.aspx	(revision 7594)
@@ -4,5 +4,5 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--
-Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
 -->
Index: CKEditor.NET/trunk/_Samples/SubmitData.aspx
===================================================================
--- CKEditor.NET/trunk/_Samples/SubmitData.aspx	(revision 7592)
+++ CKEditor.NET/trunk/_Samples/SubmitData.aspx	(revision 7594)
@@ -10,5 +10,5 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--
-Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
 -->
Index: CKEditor.NET/trunk/_Samples/ToolbarDefine.aspx
===================================================================
--- CKEditor.NET/trunk/_Samples/ToolbarDefine.aspx	(revision 7592)
+++ CKEditor.NET/trunk/_Samples/ToolbarDefine.aspx	(revision 7594)
@@ -32,5 +32,5 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--
-Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
 -->
Index: CKEditor.NET/trunk/_Samples/sample.css
===================================================================
--- CKEditor.NET/trunk/_Samples/sample.css	(revision 7592)
+++ CKEditor.NET/trunk/_Samples/sample.css	(revision 7594)
@@ -1,4 +1,4 @@
 /*
-Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2012, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
 */
Index: CKEditor.NET/trunk/_dev/build.bat
===================================================================
--- CKEditor.NET/trunk/_dev/build.bat	(revision 7592)
+++ CKEditor.NET/trunk/_dev/build.bat	(revision 7594)
@@ -4,5 +4,5 @@
 ::
 
-set version=3.6.2
+set version=3.6.4
 
 :: Remove old release folder and file